Bug 475787 - mod_proxy_balancer: strange behaviour of multiple session identifiers
mod_proxy_balancer: strange behaviour of multiple session identifiers
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 09:31 EST by Josef Zila
Modified: 2013-03-27 09:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-27 09:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Zila 2008-12-10 09:31:57 EST
Description of problem:
see Bug 439218
when httpd is configured to stickysession=BALANCED|balanced session identifier works for both lowercase and uppercase variant, but if there is stickysession=balanced|BALANCED, it seems to work only for lowercase.
 
Version-Release number of selected component:
httpd-2.2.3-22.el5

How reproducible:
see Bug 439218

Actual results:
with stickysession=balanced|BALANCED, only "balanced" works as session identifier.

Expected results:
with stickysession=balanced|BALANCED, both lowercase and uppercase variant should work as session identifier, as it does with stickysession=BALANCED|balanced.
Comment 1 Jan Kaluža 2011-10-19 06:16:00 EDT
I'm not sure what your configuration was exactly, but I'm not able to reproduce it. The part before '|' is the name of the cookie and latter one the name of the url parametr. This has to be to set to values used by loadbalanced server (Tomcat for example...).

So for example tomcat uses "JSESSIONID" as cookie name and "jsessionid" as url parametr, therefore it has to be "JSESSIONID|jsessionid".

What server have you used together with apache and in what configuration?
Comment 3 Jan Kaluža 2013-03-27 09:28:27 EDT
We've been unable to reproduce this internally; I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.